as.environment {PivotalR} | R Documentation

## Evaluate expressions within the context of a database table or view

### Description

These functions allow a `db.table` or `db.view` object to be treated as an environment, in a manner analogous to data frames.

### Usage

        ## S3 method for class 'db.obj'
    as.environment(x, ...)
        ## S3 method for class 'db.obj'
    with(data, expr, ...)

### Arguments

`x, data` | A `db.obj` object to treat as an environment.
`expr` | For `with`, an R expression to evaluate in the context of a database table or view.
`...` | Other arguments; unused.

### Value

For `as.environment`, the created environment. Note that no data is transferred to the client; all objects in the environment are queries pointing back to the host.

For `with`, a `db.Rquery` stored query object representing the expression. Use `lk`, `lookat` or `as.data.frame` to execute the query on the host and retrieve its contents.

### Author(s)

Author: Hong Ooi, Pivotal Inc. hooi@pivotal.io

Maintainer: Frank McQuillan, Pivotal Inc. fmcquillan@pivotal.io

### See Also

`as.environment`

[Package PivotalR version 0.1.18.3.1 Index]